org.apache.olingo.odata2.ref.model

## Class Photo

- java.lang.Object
- - org.apache.olingo.odata2.ref.model.Photo

-     public class Photo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Photo(int id, String name, String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `byte[]` | `getBinaryData()`
    `String` | `getContent()`
    `int` | `getId()`
    `byte[]` | `getImage()`
    `String` | `getImageType()`
    `String` | `getImageUri()`
    `String` | `getName()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `setBinaryData(byte[] binaryData)`
    `void` | `setContent(String content)`
    `void` | `setImage(byte[] image)`
    `void` | `setImageType(String imageType)`
    `void` | `setImageUri(String uri)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Photo

          public Photo(int id,
                       String name,
                       String type)

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getImageUri

          public String getImageUri()

    - #### setImageUri

          public void setImageUri(String uri)

    - #### getImage

          public byte[] getImage()

    - #### setImage

          public void setImage(byte[] image)

    - #### getImageType

          public String getImageType()

    - #### setImageType

          public void setImageType(String imageType)

    - #### getBinaryData

          public byte[] getBinaryData()

    - #### setBinaryData

          public void setBinaryData(byte[] binaryData)

    - #### setContent

          public void setContent(String content)

    - #### getContent

          public String getContent()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.